### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-file/ecl-file.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-file`
styles | `:host { display: block; }`
templateUrl | `./ecl-file.component.html`

### Index

###### Methods

- onItemClick
- getCssClasses

###### Inputs

- aria-label
- description
- detailMeta
- eclTitle
- href
- label
- labelInfo
- language
- meta
- thumbnailUrl
- class
- e2eAttr

###### Outputs

- itemDownload

###### HostBindings

- class

###### Accessors

- cssClasses
- isThumbnail

### Inputs

aria-label
Type : `string`
Default value : `''`

description
Type : `string`

detailMeta
Type : `string[]`

eclTitle
Type : `string`

href
Type : `string`
Default value : `''`

label
Type : `string`

labelInfo
Type : `string`

language
Type : `string`

meta
Type : `string[]`

thumbnailUrl
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

itemDownload
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

onItemClick
`onItemClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

isThumbnail
get `isThumbnail()`

# results matching ""

# No results matching ""